RCHIVE(1)

NAME
rchive - work with a local archive of Entrez document summaries

SYNOPSIS
rchive [-help] [-strict] [-mixed] [-input filename] [-archive directory] [-index element] [-fetch directory] [-stream directory] [-flag strict|mixed|none] [-gzip] [-hash] [-trie] [-invert file...] [-join] [-fuse] [-merge directory field] [-promote directory field] [-path directory] [-query query] [-exact query] [-count query] [-counts query] [-version]

DESCRIPTION
rchive creates, updates, or extracts records from a local archive of Entrez document summaries.

OPTIONS

  Processing Flags

-strict
    Remove HTML and MathML tags.

-mixed
    Allow mixed content XML.

  Data Source

-input filename
    Read XML from file instead of standard input.

  Local Record Cache

-archive directory
    Base path for saving individual XML files.

-index element
    Use [parent/element@attribute^version] for identifier.

-fetch directory
    Base path for retrieving XML files.

-stream directory
    Path for retrieving compressed XML files (left compressed).

-flag strict|mixed|none
    Alternative syntax for specifying the corresponding options.

-gzip
    Use compression for local XML files.

-hash
    Print UIDs and checksum values to standard output.

-trie
    Print archive trie.

  Local Record Index

-invert file...
    Generate inverted index on specified field.

-join
    Collect subsets of inverted index files.

-fuse
    Combine subsets of inverted index files.

-merge directory field
    Combine inverted indices, dividing by term prefix.

-promote directory field
    Create term lists and posting files.

-path directory
    Path to postings directory.

-query query
    Search on words or phrases in Boolean formulas.

-exact query
    Strict search for article title round-tripping.

-count query
    Print terms and counts, merging wildcards.

-counts query
    Expand wildcards; print individual term counts.

  Documentation

-help
    Print usage information and some example argument combinations.

-version
    Print version number.

SEE ALSO
edirect(1), fetch-pubmed(1), ftp-cp(1), ftp-ls(1), index-extras(1), index-pubmed(1), index-themes(1), pm-invert(1), pm-merge(1), pm-promote(1), pm-refresh(1), pm-stash(1), stream-pubmed(1), xtract(1).